package net.wanji.opt.entity.strategy.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import net.wanji.opt.entity.strategy.StrategyParameterConfig;
import net.wanji.opt.entity.strategy.StrategyPriorityConfig;
import net.wanji.opt.entity.strategy.StrategyPriorityDailyInfo;

import java.util.List;
import java.util.Map;
import java.util.Objects;

@Data
@EqualsAndHashCode(callSuper=false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityGroup {
    //分组ID
    private Integer labelCode;
    //分组名称
    private String label;
    //路口Id
    private String crossId;

    //执行时间
    private String weekExecute;
    //日计划编号
    private Integer dailyPlanId;
    //策略编号
    private String strategyNo;
    //优先级的配置信息
    private List<StrategyPriorityConfig> data;
    //计划表的配置信息
    private Object dailyPlanDetails;
    // 参数配置表的配置信息
   private List<Object> parameterConfigList;
}
